SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001843SiT!LDAPpublic2013-03-01 13:172013-03-02 13:17
Reporterdipohl 
Assigned Topaulh 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSLinuxOS Version2.6+later
Product Version3.67 LTS 
Target Version3.68Fixed in VersionCurrent SVN 
Summary0001843: LDAP-Sync: Disabling of contacts fails
Descriptioncontact records, that are disabled or no longer existent in LDAP-Source will not get disabled in SiT DB.

The procedure will tell, that the account is already disabled in SiT DB, but that isn't true.
Steps To ReproduceDelete or disable user account in LDAP-Source (EDIR in my case) and run auto.php
Check SiT error log
Additional InformationWrong program logic in classes.inc.php.
Can be fixed by

sit-devel/lib # diff -u classes.inc.php.old classes.inc.php
--- classes.inc.php.old 2013-02-28 19:51:15.000000000 +0100
+++ classes.inc.php 2013-02-28 19:51:49.000000000 +0100
@@ -504,7 +504,7 @@
             $sql = "SELECT 1 FROM `{$GLOBALS['dbContacts']}` WHERE id = {$this->id} AND active = 'false'";
             $result = mysql_query($sql);
             if (mysql_error()) trigger_error(mysql_error(), E_USER_WARNING);
- if (mysql_num_rows($result) == 0)
+ if (mysql_num_rows($result) == 1)
             {
                 debug_log("Failed to disable contact {$this->username}, was already disabled");
                 $toReturn = true;
@@ -554,4 +554,4 @@
         else return false;
     }
 }
-?>
\ No newline at end of file
+?>
Tagspatch
Attached Files

- Relationships
related to 0001424resolvedpaulh LDAP service tries to disable a customer who is already disabled and fails 

-  Notes
User avatar (0004722)
paulh (administrator)
2013-03-01 19:47

Thanks dipohl, will get this merged
User avatar (0004725)
paulh (administrator)
2013-03-02 13:17

Thanks Diphol patch merged in r7566 and 79d45fe

- Issue History
Date Modified Username Field Change
2013-03-01 13:17 dipohl New Issue
2013-03-01 13:18 dipohl Additional Information Updated View Revisions
2013-03-01 13:21 ivan Tag Attached: patch
2013-03-01 19:47 paulh Note Added: 0004722
2013-03-01 19:47 paulh Assigned To => paulh
2013-03-01 19:47 paulh Status new => assigned
2013-03-01 19:48 paulh Relationship added related to 0001424
2013-03-01 19:48 paulh Category scheduler => LDAP
2013-03-02 13:17 paulh Note Added: 0004725
2013-03-02 13:17 paulh Status assigned => resolved
2013-03-02 13:17 paulh Resolution open => fixed
2013-03-02 13:17 paulh Fixed in Version => Current SVN


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker